<div class="block">
 
<?php 	
// 1->Despesas | 2->Receita
$id_despesa = 2;
$id_receita = 1;



$consulta = "SELECT	id_tipo
					,janeiro
					,fevereiro
					,marco
					,abril
					,maio
					,junho
					,julho
					,agosto
					,setembro
					,outubro
					,novembro
					,dezembro
				FROM	vw_financeiro_dre
				where 1
			;";

										
//Efetuando busca avançada - se passado os parametros
if(isset($_POST['pesquisar'])) {
      //Recebendo os valores do POST e descriptografando
      //$id           = $_POST['id'];
	$id_conta    	= $_POST['id_conta'];  
    $ds_conta    	= $_POST['ds_conta'];
	$vl_saldo		=	$_POST['vl_conta'];
	$vl_saldo		=	str_replace('R$ ', '', $vl_saldo);
	$vl_saldo		=	str_replace(',', '.', $vl_saldo);
	$dt_vencimento	= $_POST['dt_vencimento'];
	(!empty($dt_vencimento)) ? $dt_vencimento = implode("-", array_reverse(explode("/", $dt_vencimento[0]))) : '';
	$dt_lancamento	= $_POST['dt_lancamento'];
	(!empty($dt_lancamento)) ? $dt_lancamento = implode("-", array_reverse(explode("/", $dt_lancamento[0]))) : '';
	$vl_desconto	=	$_POST['vl_desconto'];
	$vl_desconto	=	str_replace('R$ ', '', $vl_desconto);
	$vl_desconto	=	str_replace(',', '.', $vl_desconto);
    $vl_juros		=	$_POST['vl_juros'];
	$vl_juros		=	str_replace('R$ ', '', $vl_juros);
	$vl_juros		=	str_replace(',', '.', $vl_juros);
	$id_plano_fin	=	$_POST['id_plano_financeiro'];
	$ds_plano_fin	=	$_POST['ds_plano_financeiro'];
	if(isset($_POST['id_status_baixa'])){
		$id_status_baixa=	$_POST['id_status_baixa'];
	}
	if(isset($_POST['id_tipo_titulo'])){
		$id_tipo_titulo=	$_POST['id_tipo_titulo'];
	}
	$ds_nr_cheque	=	$_POST['ds_nr_cheque'];
	$ds_historico	=	$_POST['ds_historico'];
	
	$consulta .= (!empty($id_conta)		? " and id like '$id_conta'" :	'');
	$consulta .= (!empty($ds_conta)		? " and ds_item like '%$ds_conta%'" : '');
	$consulta .= ((!empty($vl_saldo) && $vl_saldo!=0)	? " and vl_saldo like '%$vl_saldo%'" : '');
	$consulta .= (!empty($dt_vencimento)		? " and dt_vencimento like '%$dt_vencimento%'" : '');
	$consulta .= (!empty($dt_lancamento)		? " and dt_lancamento like '%$dt_lancamento%'" : '');
	$consulta .= ((!empty($vl_desconto)	&& $vl_desconto!=0)	? " and vl_desconto like '%$vl_desconto%'" : '');
	$consulta .= ((!empty($vl_juros) && $vl_desconto!=0)	? " and vl_juros_multa like '%$vl_juros%'" : '');
	$consulta .= (!empty($id_plano_fin)		? " and id_planofin like '%$id_plano_fin%'" : '');
	$consulta .= (!empty($id_status_baixa)		? " and id_status_baixa like '%$id_status_baixa%'" : '');
	$consulta .= (!empty($id_tipo_titulo)		? " and id_tipo_titulo like '%$id_tipo_titulo%'" : '');
	$consulta .= (!empty($ds_nr_cheque)		? " and ds_nr_cheque like '%$ds_nr_cheque%'" : '');
	$consulta .= (!empty($ds_historico)		? " and ds_historico like '%$ds_historico%'" : '');
	
}

$vl_total = 0;
$row = 0;
?>	

  <div class="content">
 
    <!--form id=validate_custom method="post" action="erpc_financeiro_contas_pagar_baixar.php"-->
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible">
        <thead>
            <tr>
            <td width=10%></td>
			<td width=5%><b>Jan</b></td>
			<td width=5%><b>Fev</b></td>
			<td width=5%><b>Mar</b></td>
			<td width=5%><b>Abr</b></td>
			<td width=5%><b>Mai</b></td>
			<td width=5%><b>Jun</b></td>
			<td width=5%><b>Jul</b></td>
			<td width=5%><b>Ago</b></td>
			<td width=5%><b>Set</b></td>
			<td width=5%><b>Out</b></td>
			<td width=5%><b>Nov</b></td>
			<td width=5%><b>Dez</b></td> 
			</b>
            <!--th width=10%></th>
			<th width=5%>Jan</th>
			<th width=5%>Fev</th>
			<th width=5%>Mar</th>
			<th width=5%>Abr</th>
			<th width=5%>Mai</th>
			<th width=5%>Jun</th>
			<th width=5%>Jul</th>
			<th width=5%>Ago</th>
			<th width=5%>Set</th>
			<th width=5%>Out</th>
			<th width=5%>Nov</th>
			<th width=5%>Dez</th-->
          </tr>
        </thead>
        <tbody>
          <?php
          //echo $consulta . "<br>";
          
          $meses = array(
              'order' => '',
              'jan' => '',
              'fev' => '',
              'mar' => '',
              'abr' => '',
              'mai' => '',
              'jun' => '',
              'jul' => '',
              'ago' => '',
              'set' => '',
              'out' => '',
              'nov' => '',
              'dez' => ''
          );
          $saldo_meses = [$meses];
          $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
          if (mysqli_num_rows($resultado)>0) {
                    $contador = 0;
                  while ($registro = mysqli_fetch_assoc($resultado)){
					echo "<tr>";	
					  $id_tipo	= $registro['id_tipo'];
					  $vl_jan	= $registro['janeiro'];
					  $saldo_meses[$contador]['jan'] = $vl_jan;
					  $vl_fev	= $registro['fevereiro'];
					  $saldo_meses[$contador]['fev'] = $vl_fev;
					  $vl_mar	= $registro['marco'];
					  $saldo_meses[$contador]['mar'] = $vl_mar;
					  $vl_abr 	= $registro['abril'];
					  $saldo_meses[$contador]['abr'] = $vl_abr;
					  $vl_mai	= $registro['maio'];
					  $saldo_meses[$contador]['mai'] = $vl_mai;
					  $vl_jun	= $registro['junho'];
					  $saldo_meses[$contador]['jun'] = $vl_jun;
					  $vl_jul 	= $registro['julho'];  
					  $saldo_meses[$contador]['jul'] = $vl_jul;
					  $vl_ago	= $registro['agosto'];
					  $saldo_meses[$contador]['ago'] = $vl_ago;
					  $vl_set	= $registro['setembro'];
					  $saldo_meses[$contador]['set'] = $vl_set;
					  $vl_out	= $registro['outubro'];
					  $saldo_meses[$contador]['out'] = $vl_out;
					  $vl_nov	= $registro['novembro'];
					  $saldo_meses[$contador]['nov'] = $vl_nov;
					  $vl_dez	= $registro['dezembro'];
					  $saldo_meses[$contador]['dez'] = $vl_dez;
					  $saldo_meses[$contador]['order'] = $contador;
					  
					  $contador++;	
					  if($id_tipo == 1){
						echo "<td><b>Receitas</b></td>";
					  }else{if($id_tipo == 2){
							  echo "<td><b>Despesas</b></td>";  
							}
					  }
					  echo "<td>$vl_jan</td>";
					  echo "<td>$vl_fev</td>";
					  echo "<td>$vl_mar</td>";
					  echo "<td>$vl_abr</td>";
					  echo "<td>$vl_mai</td>";
					  echo "<td>$vl_jun</td>";
					  echo "<td>$vl_jul</td>";
					  echo "<td>$vl_ago</td>";
					  echo "<td>$vl_set</td>";
					  echo "<td>$vl_out</td>";
					  echo "<td>$vl_nov</td>";
					  echo "<td>$vl_dez</td>";
					  echo "</tr>";
				  }
				    
				    $saldo_mes = array();
				    $saldo_mes[] = number_format($saldo_meses[0]['jan']-$saldo_meses[1]['jan'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['fev']-$saldo_meses[1]['fev'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['mar']-$saldo_meses[1]['mar'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['abr']-$saldo_meses[1]['abr'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['mai']-$saldo_meses[1]['mai'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['jun']-$saldo_meses[1]['jun'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['jul']-$saldo_meses[1]['jul'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['ago']-$saldo_meses[1]['ago'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['set']-$saldo_meses[1]['set'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['out']-$saldo_meses[1]['out'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['nov']-$saldo_meses[1]['nov'], 2, '.', '');
				    $saldo_mes[] = number_format($saldo_meses[0]['dez']-$saldo_meses[1]['dez'], 2, '.', '');
				    
				    
				    echo "<tr>";
				    echo "<td><b>Saldo<b></td>";
				    foreach($saldo_mes as $saldo){
				        echo "<td>$saldo</td>";
				    }
				    echo "</tr>";
				    
            }
            
          ?>
        
          
        </tbody>
      </table>
    </div> <!-- table-responsive -->
	
	  <!--div >
        <h2><br>Total à Pagar : R$ <? //number_format($vl_total, 2, ',', '.');?> | Número de Títulos : <?=$nr_titulos;?></h2>
      </div-->	
	
  </div> <!-- content -->
  <!--/div-->
</div>
